cl.cromer.mt

## Class Enlace

- java.lang.Object
- - cl.cromer.mt.Enlace

    public class Enlace
    extends java.lang.Object

Clase que funciona como enlaze entre dos estados ó asi mismo

### Field Summary

Fields
`private char` `movimiento` El movimento a hacer
`private Estado` `qj` El estado
`private char` `si` El simbolo a leer
`private char` `sj` El simbolo a escribir

### Constructor Summary

Constructors
Constructor and Description
`Enlace(char si, Estado qj, char sj, char mover)` Contructor de la clase

### Method Summary

All Methods Instance Methods Concrete Methods
`char` `getMovimiento()` Retorna el movimiento del indice de la cadena
`Estado` `getQj()` Retorna el estado con que se enlaza
`char` `getSi()` Retorna simbolo a analizar
`char` `getSj()` Retorna simbolo a escribir
`void` `setMovimiento(char movimiento)` Asigna el movimiento del indice
`void` `setQj(Estado qj)` Asigna el estado con que se enlaza
`private void` `setSi(char si)` Asigna simbolo a analizar
`void` `setSj(char sj)` Asigna simbolo a escribir
`java.lang.String` `toString()` Retorna la función de transición definida en un String

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### si

    private char si

El simbolo a leer

#### sj

    private char sj

El simbolo a escribir

#### movimiento

    private char movimiento

El movimento a hacer

#### qj

    private Estado qj

El estado

### Constructor Detail

#### Enlace

    public Enlace(char si,
                  Estado qj,
                  char sj,
                  char mover)

Contructor de la clase

Parameters:
  `si` - Simbolo a analizar en la cadena
  `qj` - Estado con que se enlaza
  `sj` - Simbolo a escribir en la cadena
  `mover` - Movimiento del indice de la cadena

### Method Detail

#### getSi

    public char getSi()

Retorna simbolo a analizar

Returns:
  simbolo

#### setSi

    private void setSi(char si)

Asigna simbolo a analizar

Parameters:
  `si` - simbolo

#### getSj

    public char getSj()

Retorna simbolo a escribir

Returns:
  simbolo

#### setSj

    public void setSj(char sj)

Asigna simbolo a escribir

Parameters:
  `sj` - simbolo

#### getMovimiento

    public char getMovimiento()

Retorna el movimiento del indice de la cadena

Returns:
  simbolo caracteristico (R,L,E ó *)

#### setMovimiento

    public void setMovimiento(char movimiento)

Asigna el movimiento del indice

Parameters:
  `movimiento` - simbolo caracteristico (R,L,E ó *)

#### getQj

    public Estado getQj()

Retorna el estado con que se enlaza

Returns:
  estado siguiente

#### setQj

    public void setQj(Estado qj)

Asigna el estado con que se enlaza

Parameters:
  `qj` - estado siguiente

#### toString

    public java.lang.String toString()

Retorna la función de transición definida en un String

Overrides:
  `toString` in class `java.lang.Object`
Returns:
  String con la función